
local Addon_EventFrame = CreateFrame("Frame")
Addon_EventFrame:RegisterEvent("ADDON_LOADED")
Addon_EventFrame:SetScript("OnEvent",
	function(self, event, addon)
		if addon == "Salvationed" then
		
			Salvationed = Salvationed or {}
		
			local frame = CreateFrame("frame", nil, UIParent, nil, 0)
			frame:RegisterUnitEvent("UNIT_AURA", "player")
			frame:SetScript("OnEvent", OnEvent)

		end
end)

function OnEvent (arg1)

	if Salvationed["enabled"] == false then
		return
	end

	for i=1,40 do
	local buff = UnitBuff("player",i);
	  if buff then
		local name, _, _, _, _, _, spellId = GetSpellInfo(buff)
		if spellId == 25895 or spellId == 1038 then
			local offhandItemLink = GetInventoryItemLink("player", 17)
			local _, _, _,_,_,_, itemSubType = GetItemInfo(offhandItemLink)
			CancelUnitBuff("player", i)
			if Salvationed["silent"] ~= true then
				print("|cff33ff99Salvationed|r: Removed buff: " .. name)
			end
		end
	  end
	end
end

function SalvCommands(msg, editbox)
	local _, _, cmd, args = string.find(msg, "%s?(%w+)%s?(.*)")
	
	if cmd == "disable" then
		Salvationed["enabled"] = false
		print("|cff33ff99Salvationed|r: Disabled Salvation auto remove")
		return
	end
	
	if cmd == "enable" then
		Salvationed["enabled"] = true
		print("|cff33ff99Salvationed|r: Enabled Salvation auto remove")
		return
	end
	
	if cmd == "silent" then
	
		if Salvationed["silent"] ~= true then
			Salvationed["silent"] = true
			print("|cff33ff99Salvationed|r: Remove message will no longer be printed")
			return
		end

		Salvationed["silent"] = false
		print("|cff33ff99Salvationed|r: Enabled remove message printing")
		return
	end
	
	print("|cff33ff99Salvationed|r: Halogens Salvation remove addon. Automatically removes any Salvation buff that is cast on the player as long as the player wears a shield")
	print("|cff33ff99Salvationed|r: Commands:")
	print("|cffffff78/salv|r enable - Enable auto remove")
	print("|cffffff78/salv|r disable - Disable auto remove")
	print("|cffffff78/salv|r silent - Toggles removal display message")
	print("|cffffff78Thanks|r to Shiftyy and Tenehuini")
end

SLASH_SALV1 = '/salv'
SLASH_SALVATIONED1 = '/salvationed'
SlashCmdList["SALV"] = SalvCommands
SlashCmdList["SALVATIONED"] = SalvCommands
